cancel
Showing results for 
Search instead for 
Did you mean: 

Perl modules installation

nanoux
Advisor

Perl modules installation

Hi would like to get some help on Perl installation in HP-UX 11iv3:

"root@host/opt/perl/bin$>ppm
Can't load module Data::Dumper, dynamic loading not available in this perl.
(You may need to build a new perl executable which either supports
dynamic loading or has the Data::Dumper module statically linked into it.)
at /opt/perl_32/bin/ppm3-bin line 17
Compilation failed in require at /opt/perl_32/bin/ppm3-bin line 17.
BEGIN failed--compilation aborted at /opt/perl_32/bin/ppm3-bin line 17.

root@host/opt/perl/bin$>perl -V
&Config::AUTOLOAD failed on Config::launcher at /opt/perl_32/lib/5.8.8/IA64.ARCH
REV_0-thread-multi/Config.pm line 72.

After compiling with the Bundle-libnet-1.00, we are unable to load the 32bit-perl version."
8 REPLIES
Steven E. Protter
Exalted Contributor

Re: Perl modules installation

Shalom,

Common issue: The module not knowing where the proper version of perl is.

Check the requirements against -v on the perl being used in the module. You may need to manually change the perl modules to reflect the change.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
nanoux
Advisor

Re: Perl modules installation

Sorry ,but can you guide being more specific , as I am trying to install these set of perl modules from CPAN in 11iv3 first time.

Where in the module can i check for the perl being used?to change the version.
I beleive it uses 32bit perl by default in 11iv3 mission critical OE?

perl -V
&Config::AUTOLOAD failed on Config::launcher at /opt/perl_32/lib/5.8.8/IA64.ARCHREV_0-thread-multi/Config.pm line 72.
James R. Ferguson
Acclaimed Contributor

Re: Perl modules installation

Hi:

You are running (by default) the 32-bit Perl. You can verify this with 'perl -V'. Look at the paths in @INC. To switch to the 64-bit binary, remove the symbolic link that points '/opt/perl' to '/opt/perl_32' and create a new symlink to '/opt/perl_64'.

Any modules that you have already installed in the 32-bit environment will have to be reinstalled again in the 64-bit one.

Using CPAN to fetch and install Perl modules should _NOT_ require any diddling with the modules themselves!

Regards!

...JRF...


Shinji Teragaito_1
Respected Contributor

Re: Perl modules installation

Hi,

How about reinstalling the perl bundle from your OE media ? Then
don't forget to specify '-x reinstall=true' to swinstall command.
By reinstalling, ppm should work again. Also 'perl -V' or 'perl
-v' should work.

Hope this helps you
nanoux
Advisor

Re: Perl modules installation

./instmodsh
Can't load module IO, dynamic loading not available in this perl.
(You may need to build a new perl executable which either supports
dynamic loading or has the IO module statically linked into it.)
at /opt/perl_32/lib/5.8.8/IA64.ARCHREV_0-thread-multi/IO/Handle.pm line 262
Compilation failed in require at /opt/perl_32/lib/5.8.8/IA64.ARCHREV_0-thread-m.
BEGIN failed--compilation aborted at ./instmodsh line 7.

How to build a new perl executable which either supports dynamic loading ?
James R. Ferguson
Acclaimed Contributor

Re: Perl modules installation

Hi (again):

This would appear to be Perl from HP's depots, but some details like it's version from 'swlist|grep -i perl' might be useful. Add the full output of 'perl -V' too.

Does:

# perl -V|grep -i dynamic

...return anything?

See this link:

http://www.perlmonks.org/?node_id=517143

Regards!

...JRF...
nanoux
Advisor

Re: Perl modules installation

Yes it returns:
(as i have reinstalled the perl32 bit)

nfig_args='-ders -Dcc=cc -Dusethreads -Duseithreads -Ud_sigsetjmp -Uinstal
lusrbinperl -Ulocincpth= -Uloclibpth= -Dsh=/usr/bin/sh -Dd_attribut=undef -Dd_at
tribute_warn_unused_result=undef -Dd_u32align=define -Aprepend:libswanted=cl -D
vendorprefix=/opt/perl_32 -Doptimize=-fast +DSitanium2 +Ofltacc=strict -Accflags
=+Z -Accflags=-DUSE_SITECUSTOMIZE -Duselargefiles -Accflags=-DNO_HASH_SEED -Dpre
fix=/opt/perl_32 -Dinc_version_list=5.8.7/$archname 5.8.7 5.8.6/$archname 5.8.6
5.8.4/$archname 5.8.4 5.8.3/$archname 5.8.3 5.8.2/$archname 5.8.2 5.8.1/$archnam
e 5.8.1 5.8.0/$archname 5.8.0 -Dsed=/usr/bin/sed -Duseshrplib -Dconfig_heavy=Con
fig_dynamic.pl -Dcf_by=ActiveState -Dcf_email=support@ActiveState.com'
Dynamic Linking:
Shinji Teragaito_1
Respected Contributor

Re: Perl modules installation

Which the perl bundle version are you using ? Please give us
your output of 'swlist | grep perl'.

By reinstalling the perl bundle, does ppm work ?

I attempted to install Bundle::libinet-1.00 on 11.31 0903:

# swlist | grep perl
perl E.5.8.8.C Perl Programming Language
PHSS_39653 1.0 32-bit perl patch on E.5.8.8.C
PHSS_39693 1.0 64-bit perl patch on E.5.8.8.C
#
# perl -MCPAN -e 'install Bundle::libnet'
...
...
Running install for module 'Net::Telnet'
Running make for J/JR/JROGERS/Net-Telnet-3.03.tar.gz
...
...
Running install for module 'Net::Cmd'
Running make for G/GB/GBARR/libnet-1.22.tar.gz
...
...
#

Afterwards, ppm and perl -V/perl -v work.